%define	upstream_name	 Gtk2-Ex-PodViewer
%define	upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	A Gtk2 widget for displaying Plain old Documentation (POD)
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Gtk2/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl(Glib) >= 1.00
BuildRequires:	perl(Gtk2)
BuildRequires:	perl(ExtUtils::PkgConfig) 
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:  perl(IO::Stringy)
BuildRequires:  perl(Pod::Parser)
BuildRequires:  perl(Pod::Simple)
BuildRequires:  perl(Locale::gettext)
BuildArch:	noarch

Requires:	perl(Glib) >= 1.00
Conflicts:	drakxtools < 9.1-15mdk
Obsoletes:	perl-Gtk2-PodViewer
Provides:	perl-Gtk2-PodViewer

%description
Gtk2::PodViewer is a widget for rendering Perl POD documents. It is based on
the Gtk2::TextView widget and uses Pod::Parser for manipulating POD data.

podviewer uses it in order to render POD documentation

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 
chmod 644 README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc README
%{_bindir}/podviewer
%{_mandir}/*/*
%{perl_vendorlib}/Gtk2


%changelog
* Thu Aug 13 2020 tv <tv> 0.180.0-10.mga8
+ Revision: 1613930
- BR  perl(Pod::Parser)

* Wed Feb 12 2020 umeabot <umeabot> 0.180.0-9.mga8
+ Revision: 1494793
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.180.0-8.mga7
+ Revision: 1268395
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-7.mga6
+ Revision: 1028019
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.180.0-6.mga6
+ Revision: 944595
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-5.mga5
+ Revision: 740865
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.180.0-4.mga5
+ Revision: 684902
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.180.0-3.mga4
+ Revision: 511962
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 367873
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.180.0-1.mga1
+ Revision: 36301
- mageia rebuild
- imported package perl-Gtk2-Ex-PodViewer

